/*  createhtml - library to generate html files
 *  Copyright (C) 2003  Hkan Johansson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// HtmlObject.h: interface for the HtmlObject class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(__HTML_OBJECT_H__INCLUDED_)
#define __HTML_OBJECT_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <ostream>

#include <string>

// #include "Common.h" // dep_chk_unknown 

using namespace std;

class HtmlPage;

class HtmlObject  
{
public:
	HtmlObject() { }
	//HtmlObject(const HtmlObject& src) { }
	virtual ~HtmlObject() { }

	//HtmlObject& operator=(const HtmlObject& src) { return *this; }

public:
	virtual HtmlObject* Copy () const = 0; 

	virtual void Render (ostream* pOut,HtmlPage* pPage) = 0; 

};

#endif // !defined(__HTML_OBJECT_H__INCLUDED_)
