/*  disasmviewer, part of exmhcg - executable program tuner
 *  Copyright (C) 2003  Hkan Johansson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


import java.util.*;
import java.awt.*;

public class DataRow
	{
		int y;
		int height = 0, leading = 0, ending = 0;
		
		Vector vectDataItem = new Vector();
		
		void addLeading (int add) { leading += add; }
		void addHeight (int add) { height += add; }
//		void addEnding (int add) { ending += add; }
		
		void minLeading (int add) { leading = Math.max(leading,add); }
		void minHeight (int add) { height = Math.max(height,add); }
//		void minEnding (int add) { ending = Math.max(ending,add); }

		public void add(DataItem item)
			{
				vectDataItem.add(item);				
			}

		/*
		public void add(DataText text)
			{
				
				
				
			}
		*/
		public void paint(Graphics g,DataPane pane)
			{
				Iterator i = vectDataItem.iterator();
				
				while (i.hasNext())
					{
						((DataItem)	i.next()).paint(g,this,pane);
					}				
			}
	}
	
