/*  disasmviewer, part of exmhcg - executable program tuner
 *  Copyright (C) 2003  Hkan Johansson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


import java.awt.*;

public class JumpsCanvas extends Canvas
{
	JumpsCanvas()
		{

		}
	
	public Dimension getPreferredSize()
		{
			return new Dimension(50,1);
		}
	
	
	public void paint(Graphics g)
		{
			
			g.drawOval (2,2,10,10);	
			
			g.drawString("Hello",5,50);

			
			Font font = getFont();
			
			System.out.println ("Font: "+font);
			
			FontMetrics fm = g.getFontMetrics ();
			
			System.out.println ("fm: "+fm);
			System.out.println ("Dim: "+fm.getStringBounds("Hello",g));
			
			System.out.println ("|getAscent: "+fm.getAscent()+
													"|getDescent: "+fm.getDescent()+
													"|getMaxAscent: "+fm.getMaxAscent()+
													"|getMaxDescent: "+fm.getMaxDescent()+
													"|getHeight: "+fm.getHeight()
													);


		}	
}
