/*  exmhcg - executable program tuner  
 *  Copyright (C) 2003  Hkan Johansson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// GUIResources.h: interface for the GUIResources class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(__G_U_I_RESOURCES_H__INCLUDED_)
#define __G_U_I_RESOURCES_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class DataPtrPESectionBody; 
#include "RelocationInfo.h" 

#include <vector>
#include <string>

class RelocatableDest;

using namespace std;

//////////////////////////////////////////////////////////////////////
/*
struct GUIResNameStr
{
	wstring	m_strName;
};

struct GUIData
{
	dword m_dwLength;
	void* m_pData;
};

struct GUIDataEntry
{
	dword nCodePage;

	GUIData* m_pData;
};

struct GUINamedRes
{
	GUIResNameStr* m_pName;
	void* pObject; // either an GUIDataDirectory or GUIDataEntry
};

struct GUIIDdRes
{
	dword m_dwID;
	void* pObject; // either an GUIDataDirectory or GUIDataEntry
};

typedef vector<GUINamedRes> VectGUINamedRes;
typedef vector<GUIIDdRes> VectGUIIDdRes;

struct GUIDataDirectory
{
	dword m_dwFlags;
	dword m_dwTimeDate;
	dword m_dwMajorMinor;

	VectGUINamedRes m_vectNamedRes;
	VectGUIIDdRes m_vectGUIIDdRes;
};
*/
//////////////////////////////////////////////////////////////////////
/*
typedef vector<GUIResNameStr*> VectGUIResNameStr;
typedef vector<GUIData*>       VectGUIData;
typedef vector<GUIDataEntry*>  VectGUIDataEntry;
typedef vector<GUIDataDirectory*> VectGUIDataDirectory;

//////////////////////////////////////////////////////////////////////

typedef map<dword,GUIResNameStr*> MapRVAGUIResNameStr;
typedef map<dword,GUIData*>       MapRVAGUIData;
typedef map<dword,GUIDataEntry*>  MapRVAGUIDataEntry;
typedef map<dword,GUIDataDirectory*> MapRVAGUIDataDirectory;
*/
/*
template<typename T,typename Hash>
{




	typedef Key key_type;    typedef T referent_type;
    typedef Pred key_compare;    typedef A allocator_type;
    typedef pair<const Key, T> value_type;    


public:
	insert()

};

typedef multimap<dword,GUIResNameStr*> HashGUIResNameStr;
typedef multimap<dword,GUIData*>       HashGUIData;
typedef multimap<dword,GUIDataEntry*>  HashGUIDataEntry;
typedef multimap<dword,GUIDataDirectory*> HashGUIDataDirectory;
*/
/*
struct GUIResReadingMaps
{
	MapRVAGUIResNameStr m_mapRVAGUIResNameStr;
	MapRVAGUIData       m_mapRVAGUIData;
	MapRVAGUIDataEntry  m_mapRVAGUIDataEntry;
	MapRVAGUIDataDirectory m_mapRVAGUIDataDirectory;
};
*/
//////////////////////////////////////////////////////////////////////

class GUIResources  
{
 public:
  GUIResources();
  virtual ~GUIResources();
  
 public:
/*
	VectGUIResNameStr m_vectResNameStr;
	VectGUIData       m_vectData;
	VectGUIDataEntry  m_vectDataDir;
	VectGUIDataDirectory m_vectGUIDataDirectory;
*/
  char* m_pResourceData;	
  RelocationInfo m_relocInfo;
  
 public:
  void FindRelocations (DataPtrPESectionBody* pDataPtr);
  
};

#endif // !defined(__G_U_I_RESOURCES_H__INCLUDED_)
