/*  exmhcg - executable program tuner  
 *  Copyright (C) 2003  Hkan Johansson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// VariableCombine.h: interface for the VariableCombine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VARIABLECOMBINE_H__INCLUDED_)
#define AFX_VARIABLECOMBINE_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

template<class unsignedT> class VariableN;

#ifdef WIN32
#include "GlobalDefs.h" 
#endif

#include <list>
#include <set>

using namespace std;

template<typename unsignedT>
struct ListVariableN
{
  typedef list< VariableN<unsignedT>* > Type;
};

template<class unsignedT>
VariableN<unsignedT>* VariableCombine(typename ListVariableN<unsignedT>::Type listVars);

/*
Variable* CalcOpResult (int nSize,
						short nInstruction,
						Variable* pSrc1,Variable* pSrc2);

Variable* CalcOpResult (int nSize,
						short nInstruction,
						Variable* pSrc1);
*/

#endif // !defined(AFX_VARIABLECOMBINE_H__INCLUDED_)
