#!/usr/bin/perl

#  Exerciser for exhmcg.  
#  Copyright (C) 2003  Hkan Johansson
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

$infile = $ARGV[0];
$dirname = $infile;
$dirname =~ s/\//__/g;

$filename = $infile;
$filename =~ s/^.*\///g;

print sprintf("%-30s",$infile);

print sprintf(" => %-30s",$dirname);

mkdir ($dirname);

@args = ("cp", "$infile", "$dirname/$filename");
system(@args) == 0
    or die "system @args failed: $?";

chdir $dirname or die "Could not chdir to $dirname.\n";

print "   | Running...";

$retval = system("../../CrazyGlue/cg $filename >output 2>errors");

chdir ".." or die "Could not chdir to .. .\n";

if ($retval != 0)
{
    printf ("Failed!\n");
    
    open(FAIL, '>>failed');    
    print FAIL "$dirname  :  $filename\n";
}
else
{
    printf "Done!\n";

    open(PASS, '>>finished');    
    print PASS "$dirname  :  $filename\n";
}








exit(0);
