;  Test case for exhmcg.  
;  Copyright (C) 2003  Hkan Johansson
;
;  This program is free software; you can redistribute it and/or modify
;  it under the terms of the GNU General Public License as published by
;  the Free Software Foundation; either version 2 of the License, or
;  (at your option) any later version.
;
;  This program is distributed in the hope that it will be useful,
;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;  GNU General Public License for more details.
;
;  You should have received a copy of the GNU General Public License
;  along with this program; if not, write to the Free Software
;  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	
BITS 32


	GLOBAL _start
	SECTION .text

_start:	
	MOV	ECX,0		; count
	MOV	EBX,0		; sum
loop1:
	PUSH	ECX
	CALL	func1		; eax = func1(ecx)
	ADD	ESP,4
	ADD	EBX,EAX		; sum+= eax
	INC	ECX		; ecx++
	CMP	ECX,10000000	; if (ecx < 0x1000000)
	JNZ	loop1		;   goto loop1

	MOV	EAX,0x01
	INT	0x80
	RET			; because we don't see INT 0x80, EAX=1 as stop

func1:				; EAX=func1(ECX) :	 calculate EAX=ECX+1
	PUSH	1
	PUSH	2
	MOV	EDX,[ESP]
	MOV	EDX,[ESP+4]
	MOV	EAX,[ESP+12]	; 
	INC	EAX		; EAX++
	ADD	ESP,8
	RET			
