/*  disasmviewer, part of exmhcg - executable program tuner
 *  Copyright (C) 2003  Hkan Johansson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.awt.*;

public class HeaderPanel extends Panel
{
	DisAsmData data;
	
	public void init(DisAsmData d)
		{
			data = d;
			
			setLayout (new GridBagLayout ());
			
			TextComponent tc;
			
			addItem ("Name:",tc = new TextField(data.strName)); tc.setEditable(false);
			addItem ("Comment:",tc = new TextArea(data.strComment,2,1024,TextArea.SCROLLBARS_NONE)); tc.setEditable(false);

		}
	
	void addItem(String label,Component comp)
		{
			GridBagConstraints c = new GridBagConstraints();
			
			// c.fill = GridBagConstraints.BOTH;
			
			c.anchor = GridBagConstraints.NORTHWEST;
			c.gridx = 0;
			c.gridy = GridBagConstraints.RELATIVE;
			add (new Label(label),c);
			// c.gridwidth = GridBagConstraints.REMAINDER;
			c.gridx = 1;
			c.weightx = 1.0;
			add (comp,c);			
		}
	
	

}
