/*  exmhcg - executable program tuner  
 *  Copyright (C) 2003  Hkan Johansson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// CtrlTransferTargetBase.cpp: implementation of the CCtrlTransferTargetBase class.
//
//////////////////////////////////////////////////////////////////////

#include "GlobalDefs.h" 
#include "CtrlTransferTargetBase.h" 
#include "BranchTargetCtrlTransfer.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CtrlTransferTargetBase::CtrlTransferTargetBase()
{

}

CtrlTransferTargetBase::~CtrlTransferTargetBase()
{

}

void CtrlTransferTargetBase::AddTargetSource (BranchTargetCtrlTransfer* pSrc)
{
  m_vectFromTrace.push_back(pSrc);
}

void CtrlTransferTargetBase::RemoveTargetSources ()
{
  FOR_EACH_ITER(VectFromTrace,m_vectFromTrace,source)
    (*source)->GetBranchInstr()->RemoveTarget(this);
  
  m_vectFromTrace.clear();
}
