/*  exmhcg - executable program tuner  
 *  Copyright (C) 2003  Hkan Johansson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// StackState.cpp: implementation of the StackState class.
//
//////////////////////////////////////////////////////////////////////

#include "StackState.h" 

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

StackState::StackState()
{
  m_pParent = NULL;
  m_nSize = 0;
}

StackState::~StackState()
{
  
}

Variable* StackState::GetData(int /* nOffset */,int /* nSize */)
{
  
  
  return NULL; // unknown (or couldn't be merged into requested size)
}

void StackState::SetData (int /* nOffset */,Variable* pVar)
{
  assert (pVar);
  
	
}

void StackState::SetDataUnknown (int /* nOffset */,int /* nSize */)
{
  // be sure to cover the full range [nOffset,nOffset+nSize), so that
  // not any parent can be 'seen through' when doing an GetData

  
}

void StackState::Push(Variable* pVar)
{
  assert (pVar);
  
}

void StackState::PushUnknown(int nSize)
{
  assert (nSize == 2 || nSize == 4);
  
}

void StackState::Pop(int nSize)
{
  assert (nSize == 2 || nSize == 4);
  
}

