/*  exmhcg - executable program tuner  
 *  Copyright (C) 2003  Hkan Johansson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// VarContStackPtr.cpp: implementation of the VarContStackPtr class.
//
//////////////////////////////////////////////////////////////////////

#include "VarContStackPtr.h" 
#include "Misc.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

VarContStackPtr::VarContStackPtr()
{

}

VarContStackPtr::VarContStackPtr(RegisterState* pState,dword dwOffset)
{
  m_pState = pState;
  m_dwOffset = dwOffset;
}

VarContStackPtr::VarContStackPtr(const VarContStackPtr& src,dword dwAdd)
{
  m_pState = src.m_pState;
  m_dwOffset = src.m_dwOffset + dwAdd;
}

VarContStackPtr::~VarContStackPtr()
{

}

//////////////////////////////////////////////////////////////////////

string VarContStackPtr::ContentString() const
{
  return strsprintf("Stack(%p)%+d",(void const*) m_pState,m_dwOffset);  
}
 
